package com.ruoyi.zhiyuanzhe.domain.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 活动邀请人员审批请求类
 *
 * @author wu
 * @since 2023/10/5 20:13
 */
@ApiModel("活动邀请人员审批请求类")
@Data
public class EnrollApprovalRequest implements Serializable {

    private static final long serialVersionUID = 1344843815431566156L;
    /**
     * 活动人员匹配度关联表id
     */
    @ApiModelProperty(value = "活动人员匹配度关联表id", required = true)
    @NotNull(message = "活动人员匹配度关联表id不能为空")
    private Long id;

    /**
     * 状态 0:未邀请 1:已邀请 2:已报名 3:报名成功 4:报名失败
     */
    @ApiModelProperty(value = "状态 0:未邀请 1:已邀请 2:已报名 3:报名成功 4:报名失败 ")
    @NotNull(message = "状态不能为空")
    private Integer status;
}
