package com.ruoyi.zhiyuanzhe.quartz;

import com.ruoyi.zhiyuanzhe.domain.BActivity;
import com.ruoyi.zhiyuanzhe.service.IBActivityService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 定时任务修改活动状态
 *
 * @Author: wu
 * @DateTime: 2023/10/13 20:47
 */
@Component
@Transactional(rollbackFor = Exception.class)
public class ActivityQuartz {

    @Resource
    private IBActivityService bActivityService;


    /**
     * 修改活动状态定时任务
     */
    @Scheduled(cron = "0 0 0 * * ?")
    public void editStatus() {
        List<BActivity> list = bActivityService.findByStatus(1);
        // 所有过期的活动id
        List<Long> ids = new ArrayList<>();
        // 当前日期
        Date localDate = new Date();
        for (BActivity activity : list) {
            Date endTime = activity.getEndTime();
            // 判断是否大于当前时间
            if (endTime.getTime() <= localDate.getTime()) {
                ids.add(activity.getId());
            }
        }
        // 修改状态
        bActivityService.updateStatusByIds(ids);
    }


}
